routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/

Auth::routes();

/* Admin Auth Route*/
Route::get('admin/', 'LoginController@index');
Route::get('admin/login', 'LoginController@index')->name('admin.login'); 
Route::post('admin/login', 'LoginController@authCheck')->name('admin.login');
Route::get('admin/logout', 'LoginController@logout')->name('admin.logout');


Route::group(['middleware' => 'auth:Admin',  'prefix' => 'admin'], function(){

	Route::get('/dashboard','Admin\DashboardController@index')->name('admin.dashboard');

	Route::resource('employee','Admin\EmployeeController');
	Route::resource('admin-influencer','Admin\InfluencerController');
  Route::get('approve-reject/{id}/{flag}', 'Admin\InfluencerController@approve_reject')->name('admin.approve_reject');
  Route::post('/admin-influencer-list','Admin\InfluencerController@influencer_list')->name('admin.influencer_list');


	Route::resource('admin-shop','Admin\ShopController');
  Route::post('/admin-shop-list','Admin\ShopController@shop_list')->name('admin.shop_list');

  Route::resource('admin-category','Admin\CategoryController');  

  Route::resource('admin-users','Admin\UserController');
  Route::get('/paying-users','Admin\UserController@index')->name('admin.paying_users');
  Route::get('/paid-users','Admin\UserController@paid_users')->name('admin.paid_users');

  Route::get('/assign-shop-into-category','Admin\ShopController@assign_shop_into_category')->name('admin.assign_shop_into_category');

  Route::get('/setting','Admin\DashboardController@setting')->name('admin.setting');
  Route::post('/setting-update','Admin\DashboardController@setting_update')->name('admin.setting_update');

  Route::resource('admin-notification','Admin\NotificationController');

  Route::resource('admin-country','Admin\CountryController');

  Route::get('/import-influencer','Admin\InfluencerController@import_influencer')->name('admin.import_influencer');
  Route::post('/import-influencer','Admin\InfluencerController@import_influencer_store')->name('admin.import_influencer_store');
});


/* User Auth Route*/
Route::get('/', 'LoginController@index');
Route::get('user/login', 'LoginController@index')->name('user.login'); 
Route::post('user/login', 'LoginController@authCheck')->name('user.login');
Route::get('user/logout', 'LoginController@logout')->name('user.logout'); 

Route::get('user/signup', 'SignupController@index')->name('user.signup');
Route::post('user/signup', 'SignupController@signup')->name('user.signup');
Route::post('user/payment-request', 'SignupController@stripe_payment_request')->name('user.stripe_payment_request');

Route::get('user/is-email-already-exists-user', 'SignupController@is_email_already_exists_user')->name('user.is_email_already_exists_user');

Route::group(['middleware' => 'auth:User',  'prefix' => 'user'], function(){

    Route::get('/dashboard','User\DashboardController@index')->name('user.dashboard');
    Route::get('/profile','User\ProfileController@index')->name('user.profile');
    Route::post('/update-email','User\ProfileController@update_email')->name('user.update_email');
    Route::post('/update-password','User\ProfileController@update_password')->name('user.update_password');
    Route::get('/check-old-password','User\ProfileController@check_old_password')->name('user.check_old_password');

    Route::get('/cancel-subscription','User\ProfileController@cancel_subscription')->name('user.cancel_subscription');

    Route::resource('shop','User\ShopController');
    
    Route::resource('trend','User\TrendController');

    Route::resource('influencer','User\InfluencerController');
    Route::get('user/influencer-favourite', 'User\InfluencerController@influencer_favourite')->name('user.influencer_favourite'); 

    Route::resource('live-now','User\LivePromotionController');

    Route::resource('influencer-list','User\InfluencerListController');
    Route::get('assign-influencer/delete', 'User\InfluencerListController@delete')->name('user.influencer_list.delete');
    Route::post('assign-influencer/update', 'User\InfluencerListController@update')->name('user.influencer_list.update');
    Route::get('favourite-influencer-list', 'User\InfluencerListController@favourite_influencer_list')->name('user.favourite_influencer_list'); 

    Route::get('user/assign-influencer', 'User\InfluencerListController@assign_influencer')->name('user.assign_influencer'); 

    Route::resource('shop-list','User\ShopListController');
    Route::get('assign-shop/delete', 'User\ShopListController@delete')->name('user.shop_list.delete');
    Route::post('assign-shop/update', 'User\ShopListController@update')->name('user.shop_list.update');

    Route::get('favourite-shop-list', 'User\ShopListController@favourite_shop_list')->name('user.favourite_shop_list');

    Route::get('user/assign-shop', 'User\ShopListController@assign_shop')->name('user.assign_shop'); 

    Route::resource('media-list','User\MediaListController');
    Route::get('assign-media/delete', 'User\MediaListController@delete')->name('user.media_list.delete');
    Route::post('assign-media/update', 'User\MediaListController@update')->name('user.media_list.update');

    Route::get('user/assign-media', 'User\MediaListController@assign_media')->name('user.assign_media'); 

    Route::resource('notification','User\NotificationController');
     
});

Route::get('/instagram-profile','InstagramAPITestController@index');
Route::get('/profile-stories','InstagramAPITestController@profile_stories');
Route::get('/set-influencer-rank','InstagramAPITestController@set_influencer_rank');
Route::get('/shop-video-concat','InstagramAPITestController@shop_video_concat');
Route::get('/sendinblue-contact-status-update','InstagramAPITestController@sendinblue_contact_status_update');


Route::get('/inst-demo-profile','InstagramAPIDemoController@index');
Route::get('/profile-demo-stories','InstagramAPIDemoController@profile_stories');

Route::get('/clear', function() {

   Artisan::call('cache:clear');
   Artisan::call('config:clear');
   Artisan::call('config:cache');
   Artisan::call('view:clear');
   Artisan::call('clear-compiled');

   return "Cleared!";

});

app/Models/Influencer.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Influencer extends Model
{
    use SoftDeletes;

    protected $table = 'influencer';

    protected $primaryKey = 'influencer_id';
	
    protected $fillable = [
        'admin_id', 'profile_pic','instagram_id', 'country_id', 'followers', 'engagement_rate', 'uploads', 'avg_likes', 'avg_comments', 'videos', 'photos', 'last_post_date', 'likes_consistency', 'comments_consistency', 'frequency', 'is_verified', 'is_approved'
    ];
}

app/Http/Controllers/Admin/InfluencerController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Influencer;
use App\Imports\InfluencerImport;
use Hash;
use DB;
use Session;
use Auth;
use Excel;

class InfluencerController extends Controller
{
    public function index()
    {  

        /*$influencers = Influencer::select("influencer.*","countries.country_name")
            ->leftJoin('countries','influencer.country_id', '=' ,'countries.country_id')
            ->latest()
            ->get();*/

        return view('admin.influencer.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    { 
        $countries = DB::table('countries')->get();
        return view('admin.influencer.create', compact('countries'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */

    public function store(Request $request)
    { 
        $validator = request()->validate([
            'instagram_id' => 'required|unique:influencer,instagram_id,NULL,influencer_id,deleted_at,NULL',
            'country_id' => 'required',
        ]);
        
        $request['is_approved'] = 1;
        $request['admin_id'] = Auth::guard('Admin')->user()->admin_id;
        Influencer::create($request->all());
        
        return redirect()->route('admin-influencer.index')->with('success','Influencer created successfully.');
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($influencer_id)
    {
        $influencer = Influencer::find($influencer_id);
        $countries = DB::table('countries')->get();
        return view('admin.influencer.edit',compact('influencer', 'countries'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $influencer_id)
    { 
        $influencer = Influencer::find($influencer_id);
        request()->validate([
            'instagram_id' => 'required|unique:influencer,instagram_id,'.$influencer_id.',influencer_id,deleted_at,NULL',
            'country_id' => 'required',
        ]);  

        $influencer->update($request->all());

        return redirect()->route('admin-influencer.index')->with('success','Influencer updated successfully.');
    }
    
    public function destroy($id)
    { 
        Influencer::find($id)->delete();

        return redirect()->route('admin-influencer.index')->with('success','Influencer deleted successfully.');
    }

    public function approve_reject($influencer_id, $is_approved){

        $is_approved = ($is_approved == 1) ? 0 : 1;

        Influencer::where('influencer_id', $influencer_id)->update(['is_approved'=>$is_approved]);

        return redirect()->route('admin-influencer.index')->with('success','Influencer updated successfully.');
    }

    public function import_influencer(){
        return view('admin.influencer.import');
    }

    public function import_influencer_store(Request $request){

        request()->validate([
            'influencer_file' => 'required|mimes:csv,xlsx,xls',
        ]); 

        if($request->hasFile('influencer_file')){
            Excel::import(new InfluencerImport,request()->file('influencer_file'));
        }

        return redirect()->route('admin.import_influencer')->with('success','Influencers import successfully.');
    }

    public function influencer_list(Request $request){

        $columns = array("instagram_id", "country_name","created_at","categories","influencer_id","is_approved");
        $columns2 = array("influencer.instagram_id", "country_name","influencer.created_at","influencer.influencer_id","is_approved");

        $totalData = Influencer::count();
        $limit = $request->input('length');
        $start = $request->input('start');
        
        $dir   = $request->input('order.0.dir');
            
        $query = Influencer::select($columns2);
        $vouchers = $query->leftJoin('countries','countries.country_id', '=' ,'influencer.country_id');

        if (!empty($request->input('search.value'))) {            
            $search = $request->input('search.value');
            $vouchers = $query->where(function ($query2) use ($columns2,$search) {
                foreach ($columns2 as $key => $value) {
                    if ($key == 0) {
                       $query2->where($value,'LIKE',"%{$search}%");
                    } else {
                        $query2->orWhere($value,'LIKE',"%{$search}%");
                    }
                }
                return $query2;
            });
        }

        $vouchers2 = $query->get();
        $totalFiltered = $vouchers2->count();

        $vouchers = $query->offset($start);
        $vouchers = $query->limit($limit);
        if(isset($columns2[$request->input('order.0.column')])){
            $order = $columns[$request->input('order.0.column')];
            $vouchers = $query->orderBy($order,$dir);
        }
        $vouchers = $query->latest('influencer.created_at', 'desc');
        $vouchers = $query->get();

        $data = array();
        if(!empty($vouchers)) {
            foreach ($vouchers as $key => $voucher) {
                $edit_url = route('admin-influencer.edit', $voucher->influencer_id);
                $delete_url = route('admin-influencer.destroy', $voucher->influencer_id);
                $approve_reject_url = route('admin.approve_reject', [$voucher->influencer_id, $voucher->is_approved]);
                foreach ($columns as $key2 => $column) {

                    if($column == 'created_at') {
                         $nestedData[$column] = date('M j Y H:i A',strtotime($voucher->$column));
                    } else if($column == 'influencer_id') {
                        $nestedData[$column] =  '<a href="'.$edit_url.'"  class="btn btn-primary btn-xs action"><i class="fa fa-pencil"></i></a>
                            <form action="'.$delete_url.'" method="POST" id="laravel_datatable-'.$voucher->influencer_id.'" style="display: -webkit-inline-box;">
                                <input name="_method" type="hidden" value="DELETE">
                                '.csrf_field().'
                                <button type="button" title="DELETE" class="btn btn-danger btn-xs action" onclick="delete_influencer('.$voucher->influencer_id.');">
                                    <i class="fa fa-trash-o text-danger"></i>
                                </button>
                            </form>';
                            if($voucher->is_approved == 1)
                            {
                                $nestedData[$column] .= '&nbsp;<a href="'.$approve_reject_url.'"  class="btn btn-success btn-xs action"><i class="fa fa-check"></i></a>';
                            } else {
                               $nestedData[$column] .= '&nbsp;<a href="'.$approve_reject_url.'" class="btn btn-danger btn-xs action"><i class="fa fa-close"></i></a>';
                            }
                    } else {
                        $nestedData[$column] = $voucher->$column;
                    }
                }
                $data[] = $nestedData;
            }
        }

        $json_data = array(
                        "draw"            => intval($request->input('draw')),  
                        "recordsTotal"    => intval($totalData),  
                        "recordsFiltered" => intval($totalFiltered), 
                        "data"            => $data   
                    );   
        echo json_encode($json_data);
    }
}

resources/views/admin/influencer/create.blade.php
@extends('layout.main')

@section('pagestylesheet')
    
@stop

@section('content')

<div class="col-md-9 col-sm-9 col-xs-12 no-padding">
    <div class="middlepart">
        <div class="create-emp promotedshops">

            <div class="topbar">
                <h3>Create Influencer</h3>
            </div>
            @if ($errors->any())
                <div class="error-contains">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li class="alert alert-danger text-danger"><i class="fa fa-close"></i> {{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <div class="">
                <div class="panel-body">
                    <div class="form-wrap">
                        
                        {!! Form::open(array('route' => 'admin-influencer.store','method'=>'POST', 'class'=>'form-horizontal', 'id'=>'create-influencer')) !!}
                           
                            <div class="form-group">
                                <label class="control-label mb-10 col-sm-3" for="instagram_id">Instagram ID:</label>
                                <div class="col-sm-9">
                                    <input type="text" class="form-control" id="instagram_id" name="instagram_id">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label mb-10 col-sm-3" for="instagram_id">Country:</label>
                                <div class="col-sm-9">
                                    <select name="country_id" id="country_id" class="form-control">
                                        @foreach($countries as $country)
                                            <option value="{{$country->country_id}}">{{$country->country_name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="form-group mb-0">
                            <hr /> 
                                <div class="text-center">
                                  <button type="submit" class="btn btn-success"><span class="btn-text">Submit</span></button>
                                </div>
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        
    </div>
</div>
</div>
                    
@endsection

@section('pagescript')

    <script type="text/javascript" src="{{ asset('js/jquery.validate.js')}}"></script>
    <script type="text/javascript">

    $(document).ready(function () {
        $('#create-influencer').validate({ 
            rules: {
                instagram_id: {
                    required: true
                },
                country: {
                    required: true
                },
            },
            messages: {
                instagram_id:{
                    required: 'Please enter instagram id',
                },
                country:{
                    required: 'Please enter country',
                },
            },
            errorElement : 'div',
            /*errorPlacement: function(error, element){
                $(element).addClass('error');
            },*/
            highlight: function(element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
        });

        jQuery.validator.addMethod("emailfull", function(value, element) {
             return this.optional(element) || /^([a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+(\.[a-z\d!#$%&'*+\-\/=?^_`{|}~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]+)*|"((([ \t]*\r\n)?[ \t]+)?([\x01-\x08\x0b\x0c\x0e-\x1f\x7f\x21\x23-\x5b\x5d-\x7e\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|\\[\x01-\x09\x0b\x0c\x0d-\x7f\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))*(([ \t]*\r\n)?[ \t]+)?")@(([a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\d\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.)+([a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]|[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF][a-z\d\-._~\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]*[a-z\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])\.?$/i.test(value);
        }, "Please enter valid email address");

    });
    </script>
@stop

resources/views/admin/influencer/import.blade.php
@extends('layout.main')
@section('content')

@section('pagestylesheet')
    
@stop


<div class="col-md-9 col-sm-9 col-xs-12 no-padding">
    <div class="middlepart">
        <div class="create-emp promotedshops">

            <div class="topbar">
                <h3>Import Influencer</h3>
                <div class="pull-right"><a href="{{ asset('inf_excel/demo.csv')}}">Import CSV Format</a> | <a href="{{ asset('inf_excel/demo.xlsx')}}">Import Excel Format</a></div>

            </div>
            @if ($errors->any())
                <div class="error-contains">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li class="alert alert-danger text-danger"><i class="fa fa-close"></i> {{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="error-contains">
            @if ($message = Session::get('success'))
                <div class="alert alert-success text-success">
                    <i class="fa fa-check"></i> {{ $message }}
                </div>
            @endif
            </div>
            <div class="">
                <div class="panel-body">
                    <div class="form-wrap">
                        
                        {!! Form::open(array('route' => 'admin.import_influencer_store','method'=>'POST', 'class'=>'form-horizontal', 'id'=>'import-influencer', 'enctype'=>'multipart/form-data')) !!}
                           
                            <div class="form-group">
                                <label class="control-label mb-10 col-sm-3" for="instagram_id">Select Excel/CSV File:</label>
                                <div class="col-sm-9">
                                    <input type="file" id="influencer_file" name="influencer_file">
                                </div>
                            </div>
                            <div class="form-group mb-0">
                            <hr /> 
                                <div class="text-center">
                                  <button type="submit" class="btn btn-success"><span class="btn-text">Submit</span></button>
                                </div>
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        
    </div>
</div>
</div>
                    
@endsection

@section('pagescript')

    <script type="text/javascript" src="{{ asset('js/jquery.validate.js')}}"></script>
    <script type="text/javascript">

    $(document).ready(function () {
        $('#import-influencer').validate({ 
            rules: {
                influencer_file: {
                    required: true
                },
            },
            messages: {
                influencer_file:{
                    required: 'Please select file.',
                },
            },
            errorElement : 'div',
            /*errorPlacement: function(error, element){
                $(element).addClass('error');
            },*/
            highlight: function(element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
        });
    });
    </script>
@stop

resources/views/admin/influencer/index.blade.php
@extends('layout.main')
@section('content')

@section('pagestylesheet')
 <!--alerts CSS -->
    <link href="{{ asset('css/sweetalert.css')}}" rel="stylesheet" type="text/css">
    <style type="text/css">
        #influencertable_filter{
            float: right;
        }
        #influencertable_filter input{
                margin-left: 10px;
        }
        .shopslistings table td:last-child a{
            width: unset;
            padding: 1px 5px;
            border-radius: 3px;
        }
    </style>
@stop

<div class="col-md-9 col-sm-9 col-xs-12 no-padding">
    <div class="middlepart">
        <div class="promotedshops">
            <div class="topbar">
                <h3>Influencers</h3>
                 <div class="pull-right">
                    <a href="{{route('admin-influencer.create')}}" class="btn btn-blue">Add Influencer</a>

                    <a href="{{route('admin.import_influencer')}}" class="btn btn-blue">Import Influencer</a>
                </div>
            </div>

            <div class="error-contains">
            @if ($message = Session::get('success'))
                <div class="alert alert-success text-success">
                    <i class="fa fa-check"></i> {{ $message }}
                </div>
            @endif
            </div>
           
            <div class="shopslistings">
                <div class="shopslistingsinner">
                    <table id="influencertable" class="table display nowrap" width="100%">
                    <thead>
                        <tr>
                            <th class="text-center">Instagram ID</th>
                            <th class="text-center">Country</th>
                            <th class="text-center">Created At</th>
                            <th class="text-center no-sort">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php /*@if(!empty($influencers))
                            @foreach($influencers as $influencer)
                            <tr>
                                <td class="text-center"><a href="https://www.instagram.com/{{$influencer->instagram_id}}" target="_blank">{{$influencer->instagram_id}}</a></td>
                                <td class="text-center">{{$influencer->country_name}}</td>
                                <td class="text-center">{{date("M d Y h:i A", strtotime($influencer->created_at))}}</td>
                                <td class="text-center">
                                    <a href="{{route('admin-influencer.edit', $influencer->influencer_id)}}"  class="btn btn-primary btn-xs action"><i class="fa fa-pencil"></i></a>
                                    
                                     <form action="{{route('admin-influencer.destroy', $influencer->influencer_id)}}" method='POST' id='laravel_datatable-{{$influencer->influencer_id}}' style="    display: -webkit-inline-box;">
                                        <input name='_method' type='hidden' value='DELETE'>
                                        {{csrf_field()}}
                                        <button type='button' title='DELETE' class='btn btn-danger btn-xs action' onclick='delete_influencer("{{$influencer->influencer_id}}");'>
                                            <i class='fa fa-trash-o text-danger'></i>
                                        </button>
                                    </form>
                                    @if($influencer->is_approved == 1)
                                        <a href="{{route('admin.approve_reject', [$influencer->influencer_id, $influencer->is_approved])}}"  class="btn btn-success btn-xs action"><i class="fa fa-check"></i></a>
                                    @else
                                        <a href="{{route('admin.approve_reject', [$influencer->influencer_id, $influencer->is_approved])}}"  class="btn btn-danger btn-xs action"><i class="fa fa-close"></i></a>
                                    @endif
                                    
                                </td>
                                <td style="display: none;"></td>
                            </tr>
                            @endforeach
                        @endif */ ?>
                    </tbody>
                    </table>
                </div>
                
            </div>
        </div>
    </div>
</div>

                    
@endsection

@section('pagescript')
    <script src="{{ asset('js/jquery.dataTables.min.js')}}"></script>
     <!-- Sweet-Alert  -->
    <script src="{{ asset('js/sweetalert.min.js')}}"></script>
    <script>
        $(document).ready(function() {
           /* $('#shoptable').DataTable( {
                searching: true,
                ordering:  true,
                "language": {
                    "paginate": {
                        "previous": "<i class='fa fa-angle-left'><i/>",
                        "next": "<i class='fa fa-angle-right'><i/>",

                    }
                },
            } );*/

            $('#influencertable').DataTable({
                "scrollX": true,
                "processing": true,
                "serverSide": true,
                "searching": true,
                "ajax": {
                             "url"      : "{{route('admin.influencer_list')}}",
                             "dataType" : "JSON",
                             "type"     : "POST",
                             "data"     : { _token: $('meta[name="csrf-token"]').attr('content') }
                        },
                "columns": [
                      { "data": "instagram_id", "class" : "text-center" },
                      { "data": "country_name", "class" : "text-center"},
                      { "data": "created_at", "class" : "text-center"},
                      { "data": "influencer_id",  "orderable": false,"class" : "text-center"},
                ],
                "aaSorting": [],
                "language": {
                    "paginate": {
                        "previous": "<i class='fa fa-angle-left'><i/>",
                        "next": "<i class='fa fa-angle-right'><i/>",

                    }
                },
            });
        } );

        function delete_influencer(influencer_id){

            swal({   
                title: "Are you sure?",   
                text: "You will not be able to recover this data!",   
                type: "warning",   
                showCancelButton: true,   
                confirmButtonColor: "#8BC34A",   
                confirmButtonText: "Yes, delete it!",   
                closeOnConfirm: false,
                showLoaderOnConfirm: true,
                /*iconColor: '#000',*/
            }, function(){   
                swal("Deleted!", "Your data has been deleted.", "success"); 
                $("#laravel_datatable-"+influencer_id).submit();
                return true;
            });

            return false;
        }
    </script>
@stop